Delivery routes
Update a delivery route: name, date, notes, capacity, driver/vehicle, or status (DRAFT, IN_PROGRESS, COMPLETED, CANCELLED — cancel instead of delete). Honours Idempotency-Key. (scope: delivery:write)
PATCH
bearerAuthheader
AuthorizationBearer <token>API key as Bearer token
id*stringDelivery route id
Format
uuidapplication/json- body
name?|Length
length <= 255route_date?stringnotes?|Length
length <= 2000round_trip?booleancapacity_kg?|Range
0 <= valuecapacity_parcels?|Range
0 <= valuedriver_id?|Format
uuidvehicle_id?|Format
uuidstatus?stringPLANNED is set by /optimize and DISPATCHED by /dispatch.
Value in
"DRAFT""IN_PROGRESS""COMPLETED""CANCELLED"OK
application/json- response
data*error*nullcurl -X PATCH "https://example.com/delivery-routes/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "number": "string", "name": "string", "status": "DRAFT", "route_date": "2019-08-24T14:15:22Z", "start_location_id": "7694f743-6daf-4514-8e49-2c201e61b66d", "start_address": {}, "start_latitude": 0, "start_longitude": 0, "round_trip": true, "vehicle_id": "e57c411b-caf2-4a2e-b2e8-e232824b6ddf", "driver_id": "d13674cc-89e2-4383-beab-46a9e6e4a9b2", "capacity_kg": 0, "capacity_parcels": 0, "total_distance_km": 0, "total_duration_minutes": 0, "optimized_at": "2019-08-24T14:15:22Z", "optimizer": "string", "dispatched_at": "2019-08-24T14:15:22Z", "started_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "gate_visit_id": "75f6ef13-3183-433b-95d7-bbf0a6ac5bf4", "notes": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "error": null}